package com.bocloud.cmp.model.h3c;

public class H3cSnapshotModel {
    /**
     * 快照名称。
     * 字符串（String）类型。
     */
    private String name;
    /**
     * 快照描述。
     * 字符串（String）类型。
     */
    private String desc;
    /**
     * 云主机是否处于当前快照。 true：处于当前快照 false：不处于当前快照。
     * 布尔（boolean）类型。
     */
    private Boolean isCurr;
    /**
     * 快照内存;：true 快照内存；false 快照不带内存。
     * 布尔（boolean）类型。
     */
    private Boolean snapMem;
    /**
     * 不停机快照内存;：true 不停机；false 停机。
     * 布尔（boolean）类型。
     */
    private Boolean noStopVirtSnapMem;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Boolean getCurr() {
        return isCurr;
    }

    public void setCurr(Boolean curr) {
        isCurr = curr;
    }

    public Boolean getSnapMem() {
        return snapMem;
    }

    public void setSnapMem(Boolean snapMem) {
        this.snapMem = snapMem;
    }

    public Boolean getNoStopVirtSnapMem() {
        return noStopVirtSnapMem;
    }

    public void setNoStopVirtSnapMem(Boolean noStopVirtSnapMem) {
        this.noStopVirtSnapMem = noStopVirtSnapMem;
    }
}
